{{ define "main" }}
<header>
  <h1>{{ .Site.Title }}</h1>
  <p>{{ $.Param "tagline" }}</p>
</header>

<section>
  <h2>Recent Musings</h2>
  {{- range ( where .Site.RegularPages "Type" "blog" | first 5 ) }}
  <p><a href="{{ .Permalink }}">{{ .Title }} ({{ .PublishDate.Format "2006-01-02" }})</a></p>
  {{- end }}
</section>

{{ .Content }}
{{ end }}
